Go to the first, previous, next, last section, table of contents.

$] : バージョンを表す文字列

$] : `perl -v' を入力した時に出力される文字列。

スクリプトを実行している perl インタプリタが 正しいバージョンであるかどうかをスクリプトの最初で調べるのに使える。 数値のコンテキストで用いると、version + patchlevel / 1000 を返す。

(例)

# getc が使えるかどうか調べる
   ($version,$patchlevel) =
      $] =~ /(\d+\.\d+).*\nPatch level: (\d+)/;
   print STDERR "(No filename completion available.)\n"
      if $version * 1000 + $patchlevel < 2016;

または、数値として用いると、

warn "No checksumming!\n" if $] < 3.019;

覚え方: ?
(Is this version of perl in the right bracket?)


Go to the first, previous, next, last section, table of contents. Ablenet レンタルサーバー FreeBSD4.x 日本語man